Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeAvailabilityZonesResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeAvailabilityZonesResult

    public class DescribeAvailabilityZonesResult

extends Object

The result of describing the Amazon EC2 availability zones in the current region.

Constructor Summary
`DescribeAvailabilityZonesResult()`

Method Summary
`List<AvailabilityZone>` | `getAvailabilityZones()` The list of described Amazon EC2 availability zones.
`void` | `setAvailabilityZones(Collection<AvailabilityZone> availabilityZones)` The list of described Amazon EC2 availability zones.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeAvailabilityZonesResult` | `withAvailabilityZones(AvailabilityZone... availabilityZones)` The list of described Amazon EC2 availability zones.
`DescribeAvailabilityZonesResult` | `withAvailabilityZones(Collection<AvailabilityZone> availabilityZones)` The list of described Amazon EC2 availability zones.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeAvailabilityZonesResult

    public DescribeAvailabilityZonesResult()

Method Detail

### getAvailabilityZones

    public List<AvailabilityZone> getAvailabilityZones()

  The list of described Amazon EC2 availability zones.

  Returns:
    The list of described Amazon EC2 availability zones.

### setAvailabilityZones

    public void setAvailabilityZones(Collection<AvailabilityZone> availabilityZones)

  The list of described Amazon EC2 availability zones.

  Parameters:
    `availabilityZones` - The list of described Amazon EC2 availability zones.

### withAvailabilityZones

    public DescribeAvailabilityZonesResult withAvailabilityZones(AvailabilityZone... availabilityZones)

  The list of described Amazon EC2 availability zones.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `availabilityZones` - The list of described Amazon EC2 availability zones.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withAvailabilityZones

    public DescribeAvailabilityZonesResult withAvailabilityZones(Collection<AvailabilityZone> availabilityZones)

  The list of described Amazon EC2 availability zones.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `availabilityZones` - The list of described Amazon EC2 availability zones.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.